﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Syncfusion.Olap.Manager;
using SampleUtils;
using System.Data.SqlServerCe;
using System.Text;
using System.IO;
using Syncfusion.Olap.Reports;
using Syncfusion.Web.UI.WebControls.Client.Olap;
using System.Collections.Generic;

namespace SampleOlapClient
{
    public partial class OlapClient : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                string connectionString = "Data Source=http://bi.syncfusion.com/olap/msmdpump.dll; Initial Catalog=Adventure Works DW 2008 SE;"; 
                OlapDataManager olapDataManager = new OlapDataManager(connectionString);
                this.OlapClient1.OlapDataManager = olapDataManager;
                this.OlapClient1.DataBind();
            }
            this.OlapClient1.PreRender += OlapClient1_PreRender;
        }

        void OlapClient1_PreRender(object sender, EventArgs e)
        {
            TreeNodeCollection tree = this.OlapClient1.CubeDimensionBrowser.Nodes[0].ChildNodes;
            for (int i = tree.Count - 1; i >= 0; i--)
            {
                if (tree[i].Text != "Customer" && tree[i].Text != "Employee")
                    tree.RemoveAt(i);
            }
        }
    }
}